Synaptic wants to remove packages on stretch w/o cause

Help with issues regarding installation of Debian

Synaptic wants to remove packages on stretch w/o cause

Postby oddhack » 2018-07-21 23:52

I'm running stretch and have been updating the system with synaptic periodically w/o problems, until today. Last update before this was ca. 2 months ago.

Now 'Mark All Upgrades' in synaptic wants to remove a seemingly-random selection of packages, such as acroread:i386, empathy, evolution, ffmpeg, gnome-control-center, mplayer2, nvidia-driver, totem, vlc, some other apps, and a bunch of libraries which don't all appear to be related to the apps, such as libgles2-mesa, for example. I don't see any obvious connection between all these packages, nor any reason it should remove them. gnome-control-center, for example, appears to be up to date at version 1:3.22.2-3.

apt-get update ; apt-get upgrade don't behave this way; as far as apt-get upgrade is concerned, the system is up to date at this point.

Any thoughts on why this is happening, or how to diagnose what's leading synaptic to these proposed actions?
oddhack
 
Posts: 2
Joined: 2018-07-21 23:35

Re: Synaptic wants to remove packages on stretch w/o cause

Postby dotlj » 2018-07-22 03:22

I haven't used Synaptic since about Debian 4, but if apt update, apt upgrade and apt dist-upgrade work, why use Synaptic?
Check all the settings such as repositories selected, undo and ask it to show you what can be updated.
I'm running Stretch on amd64 and can't find package acroread in it. What architecture is your hardware?
User avatar
dotlj
 
Posts: 599
Joined: 2009-12-25 17:21

Re: Synaptic wants to remove packages on stretch w/o cause

Postby kedaha » 2018-07-22 04:59

Hi,
Synaptic is a graphical user interface for apt which sometimes doesn't resolve all dependences so it isn't advisable to use the option, "Mark All Upgrades," which would be the equivalent of running, as root, the commands recommended by dotlj in the terminal
If there are any glitches, try with aptitude
aptitude upgrade && aptitude dist-upgrade
and, naturally, read the man pages too so that you know what you're doing or what is being done. :wink:
Mate DE & OSSv4.
LaMp, WordPress; ispmail
Debian Stable

Words, as is well known, are the great foes of reality. Joseph Conrad.
Kedaha's Conjecture
User avatar
kedaha
 
Posts: 2851
Joined: 2008-05-24 12:26

Re: Synaptic wants to remove packages on stretch w/o cause

Postby kmathern » 2018-07-22 15:55

oddhack wrote:Now 'Mark All Upgrades' in synaptic wants to remove a seemingly-random selection of packages, such as acroread:i386, empathy, evolution, ffmpeg, ...

The acroread:i386 package is from the deb-multimedia repos, so you either currently have deb-multimedia enabled or have enabled it in the past. The deb-multimedia repos have been known to cause upgrade problems, especially if you leave them permanently enabled.
kmathern
 
Posts: 603
Joined: 2011-02-05 19:20

Re: Synaptic wants to remove packages on stretch w/o cause

Postby stevepusser » 2018-07-22 19:22

Almost always this type of issue is caused by adding incompatible repositories. You could show us your active ones by installing inxi and pasting in the output of
Code: Select all
inxi -r
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: mvp 0.29.0, Pale Moon 28.0.0, wine-staging 3.13, qBittorrent 4.1.2, Linux kernel 4.17.14, virtualbox 5.2.18
User avatar
stevepusser
 
Posts: 9802
Joined: 2009-10-06 05:53

Re: Synaptic wants to remove packages on stretch w/o cause

Postby Wheelerof4te » 2018-07-22 20:05

TIL inxi can show repositories :D
If you don't intend to play DVDs, deb-multimedia repo is obsolete as of Jessie...
User avatar
Wheelerof4te
 
Posts: 1076
Joined: 2015-08-30 20:14

Re: Synaptic wants to remove packages on stretch w/o cause

Postby stevepusser » 2018-07-22 21:48

If all you want to do is play encrypted DVDs (libdvdcss2), you don't need DMO for that, either:

https://packages.debian.org/stretch/libdvd-pkg
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: mvp 0.29.0, Pale Moon 28.0.0, wine-staging 3.13, qBittorrent 4.1.2, Linux kernel 4.17.14, virtualbox 5.2.18
User avatar
stevepusser
 
Posts: 9802
Joined: 2009-10-06 05:53

Re: Synaptic wants to remove packages on stretch w/o cause

Postby oddhack » 2018-07-22 23:35

stevepusser wrote:If all you want to do is play encrypted DVDs (libdvdcss2), you don't need DMO for that, either:

https://packages.debian.org/stretch/libdvd-pkg


Thanks. The issue does seem to be with deb-multimedia, which has probably been in my apt setup for about 5 years without causing any trouble; I'll have to figure out what I've got installed from there other than libdvdcss2 that needs to come from another source. apt-get dist-upgrade has the same undesirable behavior as synaptic, so that was a red herring.
oddhack
 
Posts: 2
Joined: 2018-07-21 23:35


Return to Installation

Who is online

Users browsing this forum: No registered users and 4 guests

fashionable